Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Can't roll back neither reinstall the FW

Discussion in 'Pro/Adv Discussion' started by t2adze, Apr 14, 2016.

  1. t2adze

    Joined:
    Jan 3, 2016
    Messages:
    556
    Likes Received:
    39
    Trying to downgrade the firmware to see if that helps an ESC Error that i've been getting (never crashed) - I put 1.7 on SD card. Put it in the drone. Nothing happens.
    It doesnt start the update.
    I tried to REinstall 1.8. Same problem. Left it for 10 minutes. Never started to install.

    What should i do?
     
  2. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    What does your txt file shows?
    Most likely update file is not correct like name....or you didn't copy at the root.

    BUT ESC has nothing to do with FW update.
     
  3. t2adze

    Joined:
    Jan 3, 2016
    Messages:
    556
    Likes Received:
    39
    It said that
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    I downloaded it from DJI website. And copied it to the root. Formatted SD card before all this.

    Maybe has nothing to do with it, but still it is worth giving it a try i think at least to reinstall 1.8. Because i NEVER crashed, nothing has ever happened to AC and motors look fine. I had the bad gut feeling from the first day i installed 1.8. Maybe reinstall will help
     
  4. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    Ok This message is for the FW when you want to upgrade back to 1.8 possibly. Whats the message when you use 1.7 FW?
     
  5. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    You may be right but not likely the reason for ESC error.
     
  6. t2adze

    Joined:
    Jan 3, 2016
    Messages:
    556
    Likes Received:
    39
    Same message for both cases.


    ========== 2014.01.01 00:00:11 remo-con disconnect======
    Packet: P3S_FW_V01.07.0060.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:13 remo-con disconnect======
    Packet: P3S_FW_V01.08.0080.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.
     
  7. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    You have pro or adv?

    Also, is RC switched off?
     
  8. t2adze

    Joined:
    Jan 3, 2016
    Messages:
    556
    Likes Received:
    39
    ADV
    Its switched off
     
  9. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    Clueless right now, let me reach home and try to downgrade my bird to 1.7
     
  10. Multicoptertec

    Joined:
    Mar 4, 2016
    Messages:
    1,087
    Likes Received:
    312
    Location:
    Apollo Beach, Florida
    Try calibrating your RC.


    Sent from my iPhone using PhantomPilots mobile app
     
  11. t2adze

    Joined:
    Jan 3, 2016
    Messages:
    556
    Likes Received:
    39
    I think its impossible to downgrade. Read the release note. It doesnt mention it.
    But what about reinstalling? (
     
  12. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    What do you suspect and how RC calibration will help solve his problem?
     
  13. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    Yes I had read about downgrading in release notes before upgrading to 1.8. I I'll think twice to upgrade if I'm not allowed to downgrade.

    It won't allow reinstalling the same FW cause that if one forgets to leave bin file on SF card, it should not start the process again. It checks the battery FW too and if that's not upgraded, it does upgrade it.
     
  14. Multicoptertec

    Joined:
    Mar 4, 2016
    Messages:
    1,087
    Likes Received:
    312
    Location:
    Apollo Beach, Florida
    If the center stick positions are not neutral, perhaps the firmware won't start up the motors.


    Sent from my iPhone using PhantomPilots mobile app
     
  15. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    But he gets ESC error, an error that shows up when sensors detect over current.
     
  16. Multicoptertec

    Joined:
    Mar 4, 2016
    Messages:
    1,087
    Likes Received:
    312
    Location:
    Apollo Beach, Florida
    I have seen false errors like this, where calibration makes them go away.


    Sent from my iPhone using PhantomPilots mobile app
     
  17. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    I downgraded to 1.7 and then upgraded to 1.8 successfully.

    Noticed that downgrade and then upgrade don't are faster. That means everything is not downgraded. Also date of downgrade is shown as 2014 and not 2016, see my text file below:

    ========== 2016.04.12 20:46:02 =====================
    Packet: P3X_FW_V01.08.0080.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:12 remo-con disconnect======
    Packet: P3X_FW_V01.08.0080.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:13 remo-con disconnect======
    Packet: P3X_FW_V01.07.0060.bin
    Upgrading ...
    Result: Success.

    ========== 2014.01.01 00:00:13 remo-con disconnect======
    Packet: P3X_FW_V01.08.0080.bin
    Upgrading ...
    Result: Success.
     
  18. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,044
    Likes Received:
    1,623
    Location:
    San Francisco, CA
    Please investigate why you are unable to downgrade.
     
  19. t2adze

    Joined:
    Jan 3, 2016
    Messages:
    556
    Likes Received:
    39
    Same type of log with me. But update nevers starts. 2014 here also.
    Tried to format SD card from the AC and then put the FW on it.
    Still nothing.
     
    #19 t2adze, Apr 15, 2016
    Last edited: Apr 15, 2016
  20. JamesG2571

    Joined:
    Mar 1, 2016
    Messages:
    210
    Likes Received:
    91
    Some guy on the phantom 3 standard / 4K forum managed to downgrade his bird. He held down on the graduation hat in the go app and then selected the firmware he wanted to install. (Make sure your bird is connected to the app obviously)

    Give it a go maybe! No harm in trying ayy


    Sent from my iPhone using PhantomPilots mobile app